%define module	    Email-MIME
%define name	    perl-%{module}
%define version     1.86.1
%define up_version  1.861
%define release     %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Easy MIME message parsing
License:	GPL or Artistic
Group:		Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Email/%{module}-%{up_version}.tar.gz
Requires:       perl(Email::Simple)
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(MIME::Types)
BuildRequires:	perl(Email::Simple)
BuildRequires:	perl(Email::MIME::ContentType)
BuildRequires:	perl(Email::MIME::Encodings)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This is an extension of the Email::Simple module, to handle MIME encoded
messages. It takes a message as a string, splits it up into its constituent
parts, and allows you access to various parts of the message. Headers are
decoded from MIME encoding.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Email
%{_mandir}/*/*




%changelog
* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.86.1-1mdv2008.1
+ Revision: 109611
- new version (upstream version 1.861)

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.86.0-1mdv2008.0
+ Revision: 55629
- update to new version 1.86.0

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.9-1mdv2008.0
+ Revision: 48063
- update to new version 1.859


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.8-1mdv2007.1
+ Revision: 138829
- new version

* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.7-2mdv2007.1
+ Revision: 111155
- fix dependencies

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.7-1mdv2007.1
+ Revision: 94846
- new version

* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.5-1mdv2007.1
+ Revision: 86528
- new version
- Import perl-Email-MIME

* Sat Sep 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.2-1mdv2007.0
- New version (upstream version 1.852)

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85.1-1mdv2007.0
- New version (upstream version: 1.85.1)

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85-1mdv2007.0
- new version

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.82-2mdk
- fix buildrequires

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.82-1mdk
- first mdk release

